العودة للمرجع
GET/wallets
Wallets

قائمة المحافظ

يعرض المحافظ التي يسمح بها سياق الهوية الموثق.

مستوى الوصولcustomer_or_businessالحد60/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/app/Http/Controllers/Api/WalletApiController.php::indexLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
per_pagequery
integerاختياري

Page size.

Example: 20
pagequery
integerاختياري

Page number.

Example: 1

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/wallets' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

الاستجابات

200Successful response.
status
boolean
Example: true
data
array<Wallet>
{
  "status": true,
  "data": [
    {
      "id": 42,
      "uuid": "6ee4b4a8-9f8d-4f18-a586-b32c4593b094",
      "owner_type": "customer",
      "owner_id": 2201,
      "wallet_type": "primary",
      "status": "active",
      "currency_code": "YER",
      "account_number": "C-YER-00000042",
      "cached_balance": 5000,
      "cached_pending_balance": 0,
      "cached_held_balance": 500,
      "business_id": 10101,
      "branch_id": 7,
      "balance_verified_at": "2026-07-16T12:00:00Z",
      "meta": {},
      "created_at": "2026-07-16T12:00:00Z",
      "updated_at": "2026-07-16T12:00:00Z"
    }
  ]
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection